Subject: Re: bug#45159: 28.0.50; crash when no space on disk

From: Jean Louis <[email-masked]>
Date: Thu, 10 Dec 2020 19:59:52 +0300

* Eli Zaretskii <[email-masked]> [2020-12-10 17:24]:
> > Date: Thu, 10 Dec 2020 16:01:14 +0300
> > From: Jean Louis <[email-masked]>
> > 
> > 
> > Emacs crushes on lack of disk space. I was running it under Carlos's
> > O'Donnel mtrace and it was taking space and space, and crushes then.
> > 
> > I was using function to loop over database entries and to update
> > external database. There are 200000+ entries to update. I do not see
> > why it should crush as the database is not large by size. It handles
> > one entry after the other, very small entries, like integers.
> > 
> > I can replicate. Should I send xbacktrace?
> 
> Yes, please post the backtrace and any other details pertaining to
> this problem.

It is reproducible only if Emacs runs under gmalloc trace utils. Do
you need that?

Additionally I can see that if there is any package like
persistent-scratch, Emacs cannot be killed with C-x C-c as package
asked to be saved. There is no way to exit Emacs is disk space is full
and some package want to save data on exit.